Bug 1497456 - pandoc does not support https
Summary: pandoc does not support https
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pandoc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-30 16:08 UTC by Olavi Ourson
Modified: 2018-11-30 20:56 UTC (History)
2 users (show)

Fixed In Version: pandoc-1.19.1-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:56:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Olavi Ourson 2017-09-30 16:08:20 UTC
Description of problem:

Rendering RMarkdown documents fails due to missing https support in pandoc



Version-Release number of selected component (if applicable):

pandoc-1.19.1-1.fc26.x86_64


How reproducible:

Create a new revealjs presentation (e.g. the example in https://github.com/rstudio/revealjs) and try to render it by running

R -e 'rmarkdown::render("example.Rmd")'


Steps to Reproduce:
1.
2.
3.

Actual results:

Get the following error message:

Fetching https://fonts.googleapis.com/css?family=Ubuntu:300,700,300italic,700italic...
pandoc: Could not fetch https://fonts.googleapis.com/css?family=Ubuntu:300,700,300italic,700italic
user error (https not supported)
Error: pandoc document conversion failed with error 67
Execution halted


Expected results:

Rendering the Rmarkdown to html should (as it does if using e.g. pandoc included with RStudio)

Additional info:

It seems that https support is explicitly disabled in the pandoc SRPM for Fedora. Fixing the problem is thus trivial, simply remove

cabal-tweak-flag https False

in %prep step

Comment 1 Jens Petersen 2017-10-11 03:22:24 UTC
Thanks for the report

This should get fixed first in pandoc-1.19.1-3.fc28
- thanks to the great packaging efforts of qulogic.

Comment 2 Fedora Update System 2018-02-13 03:37:08 UTC
pandoc-citeproc-0.10.5.1-1.fc27 pandoc-1.19.2.4-1.fc27 ghc-skylighting-0.3.3.1-1.fc27 cmark-0.27.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8276dedf7

Comment 3 Fedora Update System 2018-02-13 16:41:54 UTC
cmark-0.27.1-5.fc27, ghc-hakyll-4.9.8.0-2.fc27, ghc-skylighting-0.3.3.1-1.fc27, pandoc-1.19.2.4-1.fc27, pandoc-citeproc-0.10.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8276dedf7

Comment 4 Fedora Update System 2018-04-11 09:12:58 UTC
cmark-0.27.1-5.fc27 ghc-hakyll-4.9.8.0-2.fc27 ghc-skylighting-0.3.3.1-1.fc27 pandoc-1.19.2.4-1.fc27 pandoc-citeproc-0.10.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8276dedf7

Comment 5 Fedora Update System 2018-04-11 22:39:13 UTC
cmark-0.27.1-5.fc27, ghc-hakyll-4.9.8.0-2.fc27, ghc-skylighting-0.3.3.1-1.fc27, pandoc-1.19.2.4-1.fc27, pandoc-citeproc-0.10.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8276dedf7

Comment 6 Ben Cotton 2018-11-27 16:14:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 20:56:38 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.